Create order V2

This guide documents the Abbiamo API documentation guidelines.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
🚧

Header required

The Header x-abbiamo-seller-group-key is required to create orders. Please fill out this field on the upper right corner of this page.

If you don't have one, check the this page to know how to get yours

🚧

Duplicate validation

To ensure operational integrity and avoid unnecessary dispatch of multiple couriers, Abbiamo utilizes a validation layer that prevents the creation of duplicate orders.

How does validation work?

The system does not look only at the order number. For an order to be considered a duplicate, it must present parity across the following criteria simultaneously:

  • Order Number (number): Unique identification of the cargo.
  • Branch ID (seller_id): Origin of the sale.
  • Order Type (type): Delivery category.
  • Customer Document (document_number): Recipient's CPF or CNPJ.
  • Invoice Number (invoice_number): If provided in both records.
  • Time Window: The verification covers orders created within the last 3 months.
📘

Rate Limit

There is a global rate limit, click here to check it

❗️

Attention to the delivery object

The delivery object automates order dispatches to carriers during order creation. Its composition can be adapted to different levels of complexity, ranging from simple and direct configurations ideal for quick shipments without specific adjustments to more advanced customizations that allow detailed adaptations to meet specific logistical needs. This may include selecting carriers, preference rules, or special transportation conditions according to the requirements of each order. Please check the Delivery Object page for more details on how to build this object according your needs.

This endpoint creates single orders for the specific seller identified by the seller_identifier parameter

Collection
To make it easier to try the endpoints we made a collection Abbiamo API that can be run in Postman. The guide to use a collection can be found in the Collections section. If you have already read the section or are familiar with importing collections to Postman you can copy the URL in the button below:
Get JSON file
Body Params
string
required

Your seller identifier. Default value is the seller document number

string
required

Your order number identifier

string
enum
required
Defaults to DELIVERY

Order type: DELIVERY if it is shipped to the customer, TAKEOUT if the customer is gonna pickup in the store, RETURN if the píckup point is at customer's address

Allowed:
string

External service/integration order id. You can use your id here

int32

Invoice total amount in reais cents, the default value is 1 cent if this field is null

string

The time in format of ISO string with timezone when the invoice was created. Example: 2022-12-15T12:15:08.060-03:00

string

Invoice number identification

string

44 digits string of the electronic invoice

volumes
array of objects
required

Volumes informations

volumes*
customer
object
required
destination_address
object

Required if type DELIVERY. Optional if type TAKEOUT. Ignored if type RETURN

source_address
object

Required if type RETURN. Ignored if other types

delivery
object

This object is specific for carrier integrations. You should not send it if you are not integrated with carriers systems. If you have further questions, please reach out to us.

takeout
object

Takeout automations. Only valid if type is specified as TAKEOUT

json

Any additional information about the order that will be stored in the database and can be used among the plataform like dispatch rules

boolean
Defaults to true

This parameter works together with the delivery object. If the delivery object is present, this parameter will be ignored. If there's no delivery object, then, this parameter is evaluated. If true, dispatch rules will be applied. If false no rule will be applied and the order will just be created

int32

Shipping price the customer has paid to receive the order in the promised shipping date. This field must be in reais cents

string

Promised shipping datetime in format of ISO string with timezone to final customer. Example: 2022-12-15T12:15:08.060-03:00

int32

Planned duration from the pickup point to the destination point, in minutes

date-time

ISO 8601 timestamp representing the start of the delivery window. Example: 2025-10-08T14:30:00.000-03:00

date-time

ISO 8601 timestamp representing the end of the delivery window. Example: 2025-10-08T15:30:00.000-03:00

int32

Estimated dwell time at destination during delivery, in minutes

date-time

ISO 8601 timestamp representing the time that the order was created in your system. Example: 2025-10-08T14:30:00.000-03:00

string

Your shipper unique Identifier.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json